com.lowagie.text.pdf

## Class DefaultSplitCharacter

- java.lang.Object
- - com.lowagie.text.pdf.DefaultSplitCharacter

- All Implemented Interfaces:
    SplitCharacter

      public class DefaultSplitCharacter
      extends java.lang.Object
      implements SplitCharacter

  The default class that is used to determine whether or not a character is a split character. You can subclass this class to define your own split characters.
  Since:
    2.1.2

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SplitCharacter` | `DEFAULT` An instance of the default SplitCharacter.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultSplitCharacter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected char` | `getCurrentCharacter(int current, char[] cc, PdfChunk[] ck)` Returns the current character
    `boolean` | `isSplitCharacter(int start, int current, int end, char[] cc, PdfChunk[] ck)` Checks if a character can be used to split a `PdfString`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT

          public static final SplitCharacter DEFAULT

      An instance of the default SplitCharacter.

  - ### Constructor Detail

    - #### DefaultSplitCharacter

          public DefaultSplitCharacter()

  - ### Method Detail

    - #### isSplitCharacter

          public boolean isSplitCharacter(int start,
                                 int current,
                                 int end,
                                 char[] cc,
                                 PdfChunk[] ck)

      Checks if a character can be used to split a `PdfString`.

      for the moment every character less than or equal to SPACE, the character '-' and some specific unicode ranges are 'splitCharacters'.

      Specified by:
        `isSplitCharacter` in interface `SplitCharacter`
      Parameters:
        `start` - start position in the array
        `current` - current position in the array
        `end` - end position in the array
        `cc` - the character array that has to be checked
        `ck` - chunk array
      Returns:
        `true` if the character can be used to split a string, `false` otherwise

    - #### getCurrentCharacter

          protected char getCurrentCharacter(int current,
                                 char[] cc,
                                 PdfChunk[] ck)

      Returns the current character
      Parameters:
        `current` - current position in the array
        `cc` - the character array that has to be checked
        `ck` - chunk array
      Returns:
        the current character